#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   runtest.sh of /kernel/acpi/ns-lookup-fail
#   Description: Search dmesg output for ACPI namespace lookup failures
#   Author: Al Stone <astone@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   Copyright (c) 2019 Red Hat, Inc.
#
#   This program is free software: you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation, either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be
#   useful, but WITHOUT ANY WARRANTY; without even the implied
#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#   PURPOSE.  See the GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program. If not, see http://www.gnu.org/licenses/.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# Include Beaker environment
. /usr/bin/rhts-environment.sh || exit 1
. /usr/share/beakerlib/beakerlib.sh || exit 1

PACKAGE="ns-lookup-fail"

journalctl -b 0 -o short-monotonic | grep "ACPI " | \
	grep "Namespace lookup failure" | grep -v "$PACKAGE" > /tmp/foo
count=$(wc -l /tmp/foo | cut -d' ' -f1)

echo "Test results [$count]" | tee -a $OUTPUTFILE
cat /tmp/foo | tee -a $OUTPUTFILE

if [ "$count" -ge 1 ]
then
	report_result $TEST FAIL $count
else
	report_result $TEST PASS 0
fi
rm -f /tmp/foo

echo "Test finished" | tee -a $OUTPUTFILE

exit 0
